Feature # 2784 (Closed): Ability to read multiple works

Synchronize verse clicks between the two works

07/09/2020 05:34 AM - Luke Murphey

Status: Closed Start date: 07/09/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.4.0   

Description

History

#1 - 07/09/2020 05:34 AM - Luke Murphey

- Target version changed from Plus_2 to Plus_1

#2 - 07/10/2020 09:50 PM - Luke Murphey

This works with the exception of when no verse is selected. In that case, it reloads the page. Once it does this though, it seems to work.

Obs:

When the verse opens, it seems to screw up the loaded works too (and loads both as the second work)

This works fine when only a single work is open

This also works fine with the original work; its just the second that has the problem

onVerseClick() uses the href to route. Somehow, I need this to route to the original work though.

Qs:

How does backend make those links?

Solns:

Have backend return content with the relative path (descriptor)

Parse HTML and make a new href; then fire that **

#3 - 07/10/2020 09:50 PM - Luke Murphey

- Target version changed from Plus_1 to 4.4.0

#4 - 07/11/2020 12:49 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
